Package fr.gouv.vitam.functionaltest.cucumber.step

# Class ContextStep

java.lang.Object
fr.gouv.vitam.functionaltest.cucumber.step.CommonStep
fr.gouv.vitam.functionaltest.cucumber.step.ContextStep

public class ContextStep extends CommonStep
Context Step

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class fr.gouv.vitam.functionaltest.cucumber.step.CommonStep

  `CommonStep.MyRunnable`

- ## Field Summary

  ### Fields inherited from class fr.gouv.vitam.functionaltest.cucumber.step.CommonStep

  `world`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContextStep(World world)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `a_context_file_named(String fileName)`
  define a context file
  `void`
  `a_context_named(String contextName)`
  define a context name
  `void`
  `a_file_query_named(String queryContextfileName)`
  define a context query fileName
  `void`
  `fail_upload_context()`
  `void`
  `find_a_context_id(String name)`
  `void`
  `metadata_are(io.cucumber.datatable.DataTable dataTable)`
  `void`
  `success_upload_context()`
  `void`
  `update_context_by_identifier_query(String contextIdentifier, Integer status)`
  `void`
  `update_context_by_name_query(String name, Integer status)`

  ### Methods inherited from class fr.gouv.vitam.functionaltest.cucumber.step.CommonStep

  `checkOperationStatus, runInVitamThread`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContextStep

    public ContextStep(World world)

- ## Method Details

  - ### a_context_file_named

    @Given("^un fichier contexte nomm\u00e9 (.*)$") public void a_context_file_named(String fileName)
    define a context file
    Parameters:
      `fileName` - name of a context file

  - ### a_context_named

    @Given("^un contexte nomm\u00e9 (.*)$") public void a_context_named(String contextName)
    define a context name
    Parameters:
      `contextName` - name of a context

  - ### a_file_query_named

    @Given("^un fichier requete nomm\u00e9 (.*)$") public void a_file_query_named(String queryContextfileName)
    define a context query fileName
    Parameters:
      `queryContextfileName` - name of a context

  - ### success_upload_context

    @Then("^j\'importe ce contexte en succ\u00e8s") public void success_upload_context() throws IOException, AccessExternalClientServerException, InvalidParseOperationException
    Throws:
      `IOException`
      `AccessExternalClientServerException`
      `InvalidParseOperationException`

  - ### fail_upload_context

    @Then("^j\'importe ce contexte en \u00e9chec") public void fail_upload_context() throws AccessExternalClientServerException, InvalidParseOperationException, IOException
    Throws:
      `AccessExternalClientServerException`
      `InvalidParseOperationException`
      `IOException`

  - ### update_context_by_name_query

    @When("^je modifie le contexte nomm\u00e9 (.*) le statut de la requ\u00eate est (.*)$") public void update_context_by_name_query(String name, Integer status) throws InvalidParseOperationException, VitamClientException, IOException, AccessExternalClientException, InvalidCreateOperationException
    Throws:
      `InvalidParseOperationException`
      `VitamClientException`
      `IOException`
      `AccessExternalClientException`
      `InvalidCreateOperationException`

  - ### update_context_by_identifier_query

    @When("^je modifie le contexte dont l\'identifiant est (.*) le statut de la requ\u00eate est (.*)$") public void update_context_by_identifier_query(String contextIdentifier, Integer status) throws InvalidParseOperationException, IOException, AccessExternalClientException
    Throws:
      `InvalidParseOperationException`
      `IOException`
      `AccessExternalClientException`

  - ### find_a_context_id

    @When("^je recherche un contexte nomm\u00e9 (.*)$") public void find_a_context_id(String name) throws VitamClientException, InvalidCreateOperationException, InvalidParseOperationException
    Throws:
      `VitamClientException`
      `InvalidCreateOperationException`
      `InvalidParseOperationException`

  - ### metadata_are

    @Then("^les m\u00e9tadonn\u00e9es du context sont$") public void metadata_are(io.cucumber.datatable.DataTable dataTable)